<div class="container-body">
	<div class="row">
		<% if albums != nil %> 
			<% albums.each do |alb| %>
				<div class=" col-sm-12 col-lg-6  ">
					<div class="list_album">
						<% if alb.images.size > 0 %>
							<a data-toggle="modal" href="#<%=alb.id%>">
								<div class="col-lg-6 col-sm-6 album">
									<% alb.images.each do |img| %>
										<%= image_tag(img, class: " item small")%>
								 	<%end%>
								 	<div class="capity-photos-2">
										<p class=" col-lg-12 text-capity text"> <%= alb.images.size%> <br> PHOTOS</p>
									</div>
								</div>
							</a>
							<!-- Create The modal -->
								<div class="modal fade" id= "<%=alb.id%>" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
								    <div class="modal-dialog modal-sm" role="document">
								      	<div class="modal-content">
								        	<div class="modal-header">
								          		<h4 class="modal-title" id="modalLabel"><%= alb.title %></h4>
								          		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								           		 	<span aria-hidden="true">&times;</span>
								         	 	</button>
								        	</div> 
									        <div class="modal-body">
		 										<!-- Wrapper for slides -->
											 	<div id="slide<%=alb.id%>" class="carousel slide" data-ride="carousel">
											 		 <div class="carousel-inner">
											 		 		<% alb.images.each do |img| %>
												 		 		<% if img == alb.images.last %>
												 		 			<div class="item active ">
												 		 		<%else%>
												 		 			<div class="item">
												 		 		<%end%> 		 		
												 		 			<%= image_tag(img, class: "photo")%>
												 		 		</div>
													 		<%end%>	
											 		 </div>		   
												</div>
											 	<!-- Left and right controls -->
											    <a class="left carousel-control" href="#slide<%=alb.id%>" data-slide="prev">
											      <span class="glyphicon glyphicon-chevron-left"></span>
											      <span class="sr-only">Previous</span>
											    </a>
											    <a class="right carousel-control" href="#slide<%=alb.id%>" data-slide="next">
											      <span class="glyphicon glyphicon-chevron-right"></span>
											      <span class="sr-only">Next</span>
											    </a>
									        </div>
									        <div class="modal-footer">
									        	<h3><%= alb.description %></h3> 
									        </div>
								      	</div>
								    </div>
								</div>
							<!-- End The modal -->
							<div class="col-lg-offset-6 col-sm-offset-6 ">
								<div class="col-lg-3 col-sm-3">
									<%= image_tag(alb.user.avatar, class: "avatar photo img-circle") %>
								</div>
								<div class="col-sm-offset-4 col-lg-offset-4 name-user">
									<%= link_to alb.user.full_name, user_path(id: alb.user_id) %>
								</div>
								<form class="col-lg-offset-6 col-sm-offset-6" >
									<% if current_user.id != alb.user_id %>
										<% if current_user.following.ids.include? alb.user_id %>
						                	<%= link_to "Following", unfollow_user_path(id: alb.user_id),  class: 'btn follow-button', id: 'unfollow-button', method: :post %>
							            <%else%>
							                <%= link_to "Follow", follow_user_path(id: alb.user_id),  class: 'btn follow-button', id: 'follow-button', method: :post %>
					           			<%end%>
									<%end%>
								</form>
								<div class="title">
									<% if alb.title.size > 20 %>
					                	<%= alb.title[0..20] + "... " %> 
					                <%else%>
					                 	<%= alb.title %> 
					                <%end%>
								</div>
								<div class="description">
									<% if alb.description.size > 100 %>
					                	<%= alb.description[0..100] + "... " %> 
					                <%else%>
					            	   <%= alb.description %> 
					                <%end%>
								</div>
							</div>
							<div class="col-sm-offset-6  col-lg-offset-6 publication">
								<div class="col-lg-4 col-sm-4 time-post-album">
									<% if  Like.where(likeable_type: "Album", likeable_id: alb.id).pluck(:user_id).include? current_user.id %>
										<%= link_to '<i class="fa fa-heart" style="font-size:36px;" id="like"></i>'.html_safe, unlike_path(likeable_type: "Album", likeable_id: alb.id), method: :post%>
									<%else%>
										<%= link_to '<i class="fa fa-heart" style="font-size:36px;" id="unlike"></i>'.html_safe, like_path(likeable_type: "Album", likeable_id: alb.id), method: :post %>
									<%end%>		
									<%= alb.likes.size%>
								</div>
								<div class="col-lg-8 col-sm-8 time-post-album">
									<p><%=l alb.updated_at, format: :default%></p>
								</div>
							</div>	
						<%end%>
					</div>
				</div>
			<%end%>
			<div class="row col-lg-9 ">
				<%= paginate @album_manage %>
			</div>
		<%end%>
	</div>
</div>

